Page MenuHomePhabricator

On Special:GlobalRenameUser, check if the username has more than 50k edits, and ask a "are you sure" question
Closed, ResolvedPublic

Description

Once the user clicks submit, check if the user being renamed has more than 50k edits, and then add another checkbox asking that they're totally sure they want to do the rename to remind them about the edit count limit that requires sysadmin supervision.

Event Timeline

Legoktm created this task.Oct 21 2015, 10:39 PM
Legoktm raised the priority of this task from to Needs Triage.
Legoktm updated the task description. (Show Details)
Legoktm added subscribers: Legoktm, MBisanz, Glaisher.
Restricted Application added subscribers: Steinsplitter, Aklapper. · View Herald Transcript
Savh added a subscriber: Savh.Oct 21 2015, 10:42 PM
ori added a subscriber: ori.Oct 21 2015, 10:43 PM

I'd recommend setting the threshold much lower, or simply dropping the threshold altogether and always asking for confirmation. My edit count is substantially more modest, but it is mine, and those edits are my identity as an editor.

I forgot to mention it in the task, this is about making it easier for global renamers to know when they're going to hit the 50k limit that requires a sysadmin to supervise the rename for potential issues (policy), not about whether they should actually make the rename - there's already an additional confirmation step for that.

Legoktm updated the task description. (Show Details)Oct 21 2015, 11:35 PM
Legoktm set Security to None.
Glaisher claimed this task.Nov 13 2015, 3:13 PM
Glaisher triaged this task as Normal priority.

Change 252943 had a related patch set uploaded (by Glaisher):
Require confirmation on Special:GlobalRenameUser if the user has more than 50k edits

https://gerrit.wikimedia.org/r/252943

Change 252943 merged by jenkins-bot:
Require confirmation on Special:GlobalRenameUser if the user has more than 50k edits

https://gerrit.wikimedia.org/r/252943

Legoktm closed this task as Resolved.Dec 12 2015, 12:42 AM

I'll send a heads-up to the globalrenamers list about this.

Keegan moved this task from Backlog to Closed on the GlobalRename board.Jan 13 2016, 9:30 PM
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptDec 15 2016, 4:18 PM